diff --git a/contrib/btree_gin/btree_gin.c b/contrib/btree_gin/btree_gin.c
new file mode 100644
index 80521fb..12bbcd7
*** a/contrib/btree_gin/btree_gin.c
--- b/contrib/btree_gin/btree_gin.c
*************** GIN_SUPPORT(macaddr, false, leftmostvalu
*** 318,327 ****
  static Datum
  leftmostvalue_inet(void)
  {
! 	return DirectFunctionCall3(inet_in,
! 							   CStringGetDatum("0.0.0.0/0"),
! 							   ObjectIdGetDatum(0),
! 							   Int32GetDatum(-1));
  }
  GIN_SUPPORT(inet, true, leftmostvalue_inet, network_cmp)
  
--- 318,324 ----
  static Datum
  leftmostvalue_inet(void)
  {
! 	return DirectFunctionCall1(inet_in, CStringGetDatum("0.0.0.0/0"));
  }
  GIN_SUPPORT(inet, true, leftmostvalue_inet, network_cmp)
  
*************** GIN_SUPPORT(bytea, true, leftmostvalue_t
*** 346,365 ****
  static Datum
  leftmostvalue_bit(void)
  {
! 	return DirectFunctionCall3(bit_in,
! 							   CStringGetDatum(""),
! 							   ObjectIdGetDatum(0),
! 							   Int32GetDatum(-1));
  }
  GIN_SUPPORT(bit, true, leftmostvalue_bit, bitcmp)
  
  static Datum
  leftmostvalue_varbit(void)
  {
! 	return DirectFunctionCall3(varbit_in,
! 							   CStringGetDatum(""),
! 							   ObjectIdGetDatum(0),
! 							   Int32GetDatum(-1));
  }
  GIN_SUPPORT(varbit, true, leftmostvalue_varbit, bitcmp)
  
--- 343,356 ----
  static Datum
  leftmostvalue_bit(void)
  {
! 	return DirectFunctionCall1(bit_in, CStringGetDatum(""));
  }
  GIN_SUPPORT(bit, true, leftmostvalue_bit, bitcmp)
  
  static Datum
  leftmostvalue_varbit(void)
  {
! 	return DirectFunctionCall1(varbit_in, CStringGetDatum(""));
  }
  GIN_SUPPORT(varbit, true, leftmostvalue_varbit, bitcmp)
  
